Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network87.0.80.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
87.0.80.0
Broadcast address
87.0.95.255
First usable
87.0.80.1
Last usable
87.0.95.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
A (default /8)
As numbers
Hex 57005000 · Integer 1459638272 to 1459642367
Reverse DNS zones
80.0.87.in-addr.arpa
81.0.87.in-addr.arpa
82.0.87.in-addr.arpa
83.0.87.in-addr.arpa
84.0.87.in-addr.arpa
85.0.87.in-addr.arpa
86.0.87.in-addr.arpa
87.0.87.in-addr.arpa
88.0.87.in-addr.arpa
89.0.87.in-addr.arpa
90.0.87.in-addr.arpa
91.0.87.in-addr.arpa
92.0.87.in-addr.arpa
93.0.87.in-addr.arpa
94.0.87.in-addr.arpa
95.0.87.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010111.00000000.01010000.0000000087.0.80.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network01010111.00000000.01010000.0000000087.0.80.0
Broadcast01010111.00000000.01011111.1111111187.0.95.255
Split into smaller subnets/30

87.0.80.0/20 makes 1,024 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
187.0.80.0/3087.0.80.1 to 87.0.80.287.0.80.32
287.0.80.4/3087.0.80.5 to 87.0.80.687.0.80.72
387.0.80.8/3087.0.80.9 to 87.0.80.1087.0.80.112
487.0.80.12/3087.0.80.13 to 87.0.80.1487.0.80.152
587.0.80.16/3087.0.80.17 to 87.0.80.1887.0.80.192
687.0.80.20/3087.0.80.21 to 87.0.80.2287.0.80.232
787.0.80.24/3087.0.80.25 to 87.0.80.2687.0.80.272
887.0.80.28/3087.0.80.29 to 87.0.80.3087.0.80.312
987.0.80.32/3087.0.80.33 to 87.0.80.3487.0.80.352
1087.0.80.36/3087.0.80.37 to 87.0.80.3887.0.80.392
1187.0.80.40/3087.0.80.41 to 87.0.80.4287.0.80.432
1287.0.80.44/3087.0.80.45 to 87.0.80.4687.0.80.472
1387.0.80.48/3087.0.80.49 to 87.0.80.5087.0.80.512
1487.0.80.52/3087.0.80.53 to 87.0.80.5487.0.80.552
1587.0.80.56/3087.0.80.57 to 87.0.80.5887.0.80.592
1687.0.80.60/3087.0.80.61 to 87.0.80.6287.0.80.632
1787.0.80.64/3087.0.80.65 to 87.0.80.6687.0.80.672
1887.0.80.68/3087.0.80.69 to 87.0.80.7087.0.80.712
1987.0.80.72/3087.0.80.73 to 87.0.80.7487.0.80.752
2087.0.80.76/3087.0.80.77 to 87.0.80.7887.0.80.792
2187.0.80.80/3087.0.80.81 to 87.0.80.8287.0.80.832
2287.0.80.84/3087.0.80.85 to 87.0.80.8687.0.80.872
2387.0.80.88/3087.0.80.89 to 87.0.80.9087.0.80.912
2487.0.80.92/3087.0.80.93 to 87.0.80.9487.0.80.952
2587.0.80.96/3087.0.80.97 to 87.0.80.9887.0.80.992
2687.0.80.100/3087.0.80.101 to 87.0.80.10287.0.80.1032
2787.0.80.104/3087.0.80.105 to 87.0.80.10687.0.80.1072
2887.0.80.108/3087.0.80.109 to 87.0.80.11087.0.80.1112
2987.0.80.112/3087.0.80.113 to 87.0.80.11487.0.80.1152
3087.0.80.116/3087.0.80.117 to 87.0.80.11887.0.80.1192
3187.0.80.120/3087.0.80.121 to 87.0.80.12287.0.80.1232
3287.0.80.124/3087.0.80.125 to 87.0.80.12687.0.80.1272
3387.0.80.128/3087.0.80.129 to 87.0.80.13087.0.80.1312
3487.0.80.132/3087.0.80.133 to 87.0.80.13487.0.80.1352
3587.0.80.136/3087.0.80.137 to 87.0.80.13887.0.80.1392
3687.0.80.140/3087.0.80.141 to 87.0.80.14287.0.80.1432
3787.0.80.144/3087.0.80.145 to 87.0.80.14687.0.80.1472
3887.0.80.148/3087.0.80.149 to 87.0.80.15087.0.80.1512
3987.0.80.152/3087.0.80.153 to 87.0.80.15487.0.80.1552
4087.0.80.156/3087.0.80.157 to 87.0.80.15887.0.80.1592
4187.0.80.160/3087.0.80.161 to 87.0.80.16287.0.80.1632
4287.0.80.164/3087.0.80.165 to 87.0.80.16687.0.80.1672
4387.0.80.168/3087.0.80.169 to 87.0.80.17087.0.80.1712
4487.0.80.172/3087.0.80.173 to 87.0.80.17487.0.80.1752
4587.0.80.176/3087.0.80.177 to 87.0.80.17887.0.80.1792
4687.0.80.180/3087.0.80.181 to 87.0.80.18287.0.80.1832
4787.0.80.184/3087.0.80.185 to 87.0.80.18687.0.80.1872
4887.0.80.188/3087.0.80.189 to 87.0.80.19087.0.80.1912
4987.0.80.192/3087.0.80.193 to 87.0.80.19487.0.80.1952
5087.0.80.196/3087.0.80.197 to 87.0.80.19887.0.80.1992
5187.0.80.200/3087.0.80.201 to 87.0.80.20287.0.80.2032
5287.0.80.204/3087.0.80.205 to 87.0.80.20687.0.80.2072
5387.0.80.208/3087.0.80.209 to 87.0.80.21087.0.80.2112
5487.0.80.212/3087.0.80.213 to 87.0.80.21487.0.80.2152
5587.0.80.216/3087.0.80.217 to 87.0.80.21887.0.80.2192
5687.0.80.220/3087.0.80.221 to 87.0.80.22287.0.80.2232
5787.0.80.224/3087.0.80.225 to 87.0.80.22687.0.80.2272
5887.0.80.228/3087.0.80.229 to 87.0.80.23087.0.80.2312
5987.0.80.232/3087.0.80.233 to 87.0.80.23487.0.80.2352
6087.0.80.236/3087.0.80.237 to 87.0.80.23887.0.80.2392
6187.0.80.240/3087.0.80.241 to 87.0.80.24287.0.80.2432
6287.0.80.244/3087.0.80.245 to 87.0.80.24687.0.80.2472
6387.0.80.248/3087.0.80.249 to 87.0.80.25087.0.80.2512
6487.0.80.252/3087.0.80.253 to 87.0.80.25487.0.80.2552
6587.0.81.0/3087.0.81.1 to 87.0.81.287.0.81.32
6687.0.81.4/3087.0.81.5 to 87.0.81.687.0.81.72
6787.0.81.8/3087.0.81.9 to 87.0.81.1087.0.81.112
6887.0.81.12/3087.0.81.13 to 87.0.81.1487.0.81.152
6987.0.81.16/3087.0.81.17 to 87.0.81.1887.0.81.192
7087.0.81.20/3087.0.81.21 to 87.0.81.2287.0.81.232
7187.0.81.24/3087.0.81.25 to 87.0.81.2687.0.81.272
7287.0.81.28/3087.0.81.29 to 87.0.81.3087.0.81.312
7387.0.81.32/3087.0.81.33 to 87.0.81.3487.0.81.352
7487.0.81.36/3087.0.81.37 to 87.0.81.3887.0.81.392
7587.0.81.40/3087.0.81.41 to 87.0.81.4287.0.81.432
7687.0.81.44/3087.0.81.45 to 87.0.81.4687.0.81.472
7787.0.81.48/3087.0.81.49 to 87.0.81.5087.0.81.512
7887.0.81.52/3087.0.81.53 to 87.0.81.5487.0.81.552
7987.0.81.56/3087.0.81.57 to 87.0.81.5887.0.81.592
8087.0.81.60/3087.0.81.61 to 87.0.81.6287.0.81.632
8187.0.81.64/3087.0.81.65 to 87.0.81.6687.0.81.672
8287.0.81.68/3087.0.81.69 to 87.0.81.7087.0.81.712
8387.0.81.72/3087.0.81.73 to 87.0.81.7487.0.81.752
8487.0.81.76/3087.0.81.77 to 87.0.81.7887.0.81.792
8587.0.81.80/3087.0.81.81 to 87.0.81.8287.0.81.832
8687.0.81.84/3087.0.81.85 to 87.0.81.8687.0.81.872
8787.0.81.88/3087.0.81.89 to 87.0.81.9087.0.81.912
8887.0.81.92/3087.0.81.93 to 87.0.81.9487.0.81.952
8987.0.81.96/3087.0.81.97 to 87.0.81.9887.0.81.992
9087.0.81.100/3087.0.81.101 to 87.0.81.10287.0.81.1032
9187.0.81.104/3087.0.81.105 to 87.0.81.10687.0.81.1072
9287.0.81.108/3087.0.81.109 to 87.0.81.11087.0.81.1112
9387.0.81.112/3087.0.81.113 to 87.0.81.11487.0.81.1152
9487.0.81.116/3087.0.81.117 to 87.0.81.11887.0.81.1192
9587.0.81.120/3087.0.81.121 to 87.0.81.12287.0.81.1232
9687.0.81.124/3087.0.81.125 to 87.0.81.12687.0.81.1272
9787.0.81.128/3087.0.81.129 to 87.0.81.13087.0.81.1312
9887.0.81.132/3087.0.81.133 to 87.0.81.13487.0.81.1352
9987.0.81.136/3087.0.81.137 to 87.0.81.13887.0.81.1392
10087.0.81.140/3087.0.81.141 to 87.0.81.14287.0.81.1432
10187.0.81.144/3087.0.81.145 to 87.0.81.14687.0.81.1472
10287.0.81.148/3087.0.81.149 to 87.0.81.15087.0.81.1512
10387.0.81.152/3087.0.81.153 to 87.0.81.15487.0.81.1552
10487.0.81.156/3087.0.81.157 to 87.0.81.15887.0.81.1592
10587.0.81.160/3087.0.81.161 to 87.0.81.16287.0.81.1632
10687.0.81.164/3087.0.81.165 to 87.0.81.16687.0.81.1672
10787.0.81.168/3087.0.81.169 to 87.0.81.17087.0.81.1712
10887.0.81.172/3087.0.81.173 to 87.0.81.17487.0.81.1752
10987.0.81.176/3087.0.81.177 to 87.0.81.17887.0.81.1792
11087.0.81.180/3087.0.81.181 to 87.0.81.18287.0.81.1832
11187.0.81.184/3087.0.81.185 to 87.0.81.18687.0.81.1872
11287.0.81.188/3087.0.81.189 to 87.0.81.19087.0.81.1912
11387.0.81.192/3087.0.81.193 to 87.0.81.19487.0.81.1952
11487.0.81.196/3087.0.81.197 to 87.0.81.19887.0.81.1992
11587.0.81.200/3087.0.81.201 to 87.0.81.20287.0.81.2032
11687.0.81.204/3087.0.81.205 to 87.0.81.20687.0.81.2072
11787.0.81.208/3087.0.81.209 to 87.0.81.21087.0.81.2112
11887.0.81.212/3087.0.81.213 to 87.0.81.21487.0.81.2152
11987.0.81.216/3087.0.81.217 to 87.0.81.21887.0.81.2192
12087.0.81.220/3087.0.81.221 to 87.0.81.22287.0.81.2232
12187.0.81.224/3087.0.81.225 to 87.0.81.22687.0.81.2272
12287.0.81.228/3087.0.81.229 to 87.0.81.23087.0.81.2312
12387.0.81.232/3087.0.81.233 to 87.0.81.23487.0.81.2352
12487.0.81.236/3087.0.81.237 to 87.0.81.23887.0.81.2392
12587.0.81.240/3087.0.81.241 to 87.0.81.24287.0.81.2432
12687.0.81.244/3087.0.81.245 to 87.0.81.24687.0.81.2472
12787.0.81.248/3087.0.81.249 to 87.0.81.25087.0.81.2512
12887.0.81.252/3087.0.81.253 to 87.0.81.25487.0.81.2552
12987.0.82.0/3087.0.82.1 to 87.0.82.287.0.82.32
13087.0.82.4/3087.0.82.5 to 87.0.82.687.0.82.72
13187.0.82.8/3087.0.82.9 to 87.0.82.1087.0.82.112
13287.0.82.12/3087.0.82.13 to 87.0.82.1487.0.82.152
13387.0.82.16/3087.0.82.17 to 87.0.82.1887.0.82.192
13487.0.82.20/3087.0.82.21 to 87.0.82.2287.0.82.232
13587.0.82.24/3087.0.82.25 to 87.0.82.2687.0.82.272
13687.0.82.28/3087.0.82.29 to 87.0.82.3087.0.82.312
13787.0.82.32/3087.0.82.33 to 87.0.82.3487.0.82.352
13887.0.82.36/3087.0.82.37 to 87.0.82.3887.0.82.392
13987.0.82.40/3087.0.82.41 to 87.0.82.4287.0.82.432
14087.0.82.44/3087.0.82.45 to 87.0.82.4687.0.82.472
14187.0.82.48/3087.0.82.49 to 87.0.82.5087.0.82.512
14287.0.82.52/3087.0.82.53 to 87.0.82.5487.0.82.552
14387.0.82.56/3087.0.82.57 to 87.0.82.5887.0.82.592
14487.0.82.60/3087.0.82.61 to 87.0.82.6287.0.82.632
14587.0.82.64/3087.0.82.65 to 87.0.82.6687.0.82.672
14687.0.82.68/3087.0.82.69 to 87.0.82.7087.0.82.712
14787.0.82.72/3087.0.82.73 to 87.0.82.7487.0.82.752
14887.0.82.76/3087.0.82.77 to 87.0.82.7887.0.82.792
14987.0.82.80/3087.0.82.81 to 87.0.82.8287.0.82.832
15087.0.82.84/3087.0.82.85 to 87.0.82.8687.0.82.872
15187.0.82.88/3087.0.82.89 to 87.0.82.9087.0.82.912
15287.0.82.92/3087.0.82.93 to 87.0.82.9487.0.82.952
15387.0.82.96/3087.0.82.97 to 87.0.82.9887.0.82.992
15487.0.82.100/3087.0.82.101 to 87.0.82.10287.0.82.1032
15587.0.82.104/3087.0.82.105 to 87.0.82.10687.0.82.1072
15687.0.82.108/3087.0.82.109 to 87.0.82.11087.0.82.1112
15787.0.82.112/3087.0.82.113 to 87.0.82.11487.0.82.1152
15887.0.82.116/3087.0.82.117 to 87.0.82.11887.0.82.1192
15987.0.82.120/3087.0.82.121 to 87.0.82.12287.0.82.1232
16087.0.82.124/3087.0.82.125 to 87.0.82.12687.0.82.1272
16187.0.82.128/3087.0.82.129 to 87.0.82.13087.0.82.1312
16287.0.82.132/3087.0.82.133 to 87.0.82.13487.0.82.1352
16387.0.82.136/3087.0.82.137 to 87.0.82.13887.0.82.1392
16487.0.82.140/3087.0.82.141 to 87.0.82.14287.0.82.1432
16587.0.82.144/3087.0.82.145 to 87.0.82.14687.0.82.1472
16687.0.82.148/3087.0.82.149 to 87.0.82.15087.0.82.1512
16787.0.82.152/3087.0.82.153 to 87.0.82.15487.0.82.1552
16887.0.82.156/3087.0.82.157 to 87.0.82.15887.0.82.1592
16987.0.82.160/3087.0.82.161 to 87.0.82.16287.0.82.1632
17087.0.82.164/3087.0.82.165 to 87.0.82.16687.0.82.1672
17187.0.82.168/3087.0.82.169 to 87.0.82.17087.0.82.1712
17287.0.82.172/3087.0.82.173 to 87.0.82.17487.0.82.1752
17387.0.82.176/3087.0.82.177 to 87.0.82.17887.0.82.1792
17487.0.82.180/3087.0.82.181 to 87.0.82.18287.0.82.1832
17587.0.82.184/3087.0.82.185 to 87.0.82.18687.0.82.1872
17687.0.82.188/3087.0.82.189 to 87.0.82.19087.0.82.1912
17787.0.82.192/3087.0.82.193 to 87.0.82.19487.0.82.1952
17887.0.82.196/3087.0.82.197 to 87.0.82.19887.0.82.1992
17987.0.82.200/3087.0.82.201 to 87.0.82.20287.0.82.2032
18087.0.82.204/3087.0.82.205 to 87.0.82.20687.0.82.2072
18187.0.82.208/3087.0.82.209 to 87.0.82.21087.0.82.2112
18287.0.82.212/3087.0.82.213 to 87.0.82.21487.0.82.2152
18387.0.82.216/3087.0.82.217 to 87.0.82.21887.0.82.2192
18487.0.82.220/3087.0.82.221 to 87.0.82.22287.0.82.2232
18587.0.82.224/3087.0.82.225 to 87.0.82.22687.0.82.2272
18687.0.82.228/3087.0.82.229 to 87.0.82.23087.0.82.2312
18787.0.82.232/3087.0.82.233 to 87.0.82.23487.0.82.2352
18887.0.82.236/3087.0.82.237 to 87.0.82.23887.0.82.2392
18987.0.82.240/3087.0.82.241 to 87.0.82.24287.0.82.2432
19087.0.82.244/3087.0.82.245 to 87.0.82.24687.0.82.2472
19187.0.82.248/3087.0.82.249 to 87.0.82.25087.0.82.2512
19287.0.82.252/3087.0.82.253 to 87.0.82.25487.0.82.2552
19387.0.83.0/3087.0.83.1 to 87.0.83.287.0.83.32
19487.0.83.4/3087.0.83.5 to 87.0.83.687.0.83.72
19587.0.83.8/3087.0.83.9 to 87.0.83.1087.0.83.112
19687.0.83.12/3087.0.83.13 to 87.0.83.1487.0.83.152
19787.0.83.16/3087.0.83.17 to 87.0.83.1887.0.83.192
19887.0.83.20/3087.0.83.21 to 87.0.83.2287.0.83.232
19987.0.83.24/3087.0.83.25 to 87.0.83.2687.0.83.272
20087.0.83.28/3087.0.83.29 to 87.0.83.3087.0.83.312
20187.0.83.32/3087.0.83.33 to 87.0.83.3487.0.83.352
20287.0.83.36/3087.0.83.37 to 87.0.83.3887.0.83.392
20387.0.83.40/3087.0.83.41 to 87.0.83.4287.0.83.432
20487.0.83.44/3087.0.83.45 to 87.0.83.4687.0.83.472
20587.0.83.48/3087.0.83.49 to 87.0.83.5087.0.83.512
20687.0.83.52/3087.0.83.53 to 87.0.83.5487.0.83.552
20787.0.83.56/3087.0.83.57 to 87.0.83.5887.0.83.592
20887.0.83.60/3087.0.83.61 to 87.0.83.6287.0.83.632
20987.0.83.64/3087.0.83.65 to 87.0.83.6687.0.83.672
21087.0.83.68/3087.0.83.69 to 87.0.83.7087.0.83.712
21187.0.83.72/3087.0.83.73 to 87.0.83.7487.0.83.752
21287.0.83.76/3087.0.83.77 to 87.0.83.7887.0.83.792
21387.0.83.80/3087.0.83.81 to 87.0.83.8287.0.83.832
21487.0.83.84/3087.0.83.85 to 87.0.83.8687.0.83.872
21587.0.83.88/3087.0.83.89 to 87.0.83.9087.0.83.912
21687.0.83.92/3087.0.83.93 to 87.0.83.9487.0.83.952
21787.0.83.96/3087.0.83.97 to 87.0.83.9887.0.83.992
21887.0.83.100/3087.0.83.101 to 87.0.83.10287.0.83.1032
21987.0.83.104/3087.0.83.105 to 87.0.83.10687.0.83.1072
22087.0.83.108/3087.0.83.109 to 87.0.83.11087.0.83.1112
22187.0.83.112/3087.0.83.113 to 87.0.83.11487.0.83.1152
22287.0.83.116/3087.0.83.117 to 87.0.83.11887.0.83.1192
22387.0.83.120/3087.0.83.121 to 87.0.83.12287.0.83.1232
22487.0.83.124/3087.0.83.125 to 87.0.83.12687.0.83.1272
22587.0.83.128/3087.0.83.129 to 87.0.83.13087.0.83.1312
22687.0.83.132/3087.0.83.133 to 87.0.83.13487.0.83.1352
22787.0.83.136/3087.0.83.137 to 87.0.83.13887.0.83.1392
22887.0.83.140/3087.0.83.141 to 87.0.83.14287.0.83.1432
22987.0.83.144/3087.0.83.145 to 87.0.83.14687.0.83.1472
23087.0.83.148/3087.0.83.149 to 87.0.83.15087.0.83.1512
23187.0.83.152/3087.0.83.153 to 87.0.83.15487.0.83.1552
23287.0.83.156/3087.0.83.157 to 87.0.83.15887.0.83.1592
23387.0.83.160/3087.0.83.161 to 87.0.83.16287.0.83.1632
23487.0.83.164/3087.0.83.165 to 87.0.83.16687.0.83.1672
23587.0.83.168/3087.0.83.169 to 87.0.83.17087.0.83.1712
23687.0.83.172/3087.0.83.173 to 87.0.83.17487.0.83.1752
23787.0.83.176/3087.0.83.177 to 87.0.83.17887.0.83.1792
23887.0.83.180/3087.0.83.181 to 87.0.83.18287.0.83.1832
23987.0.83.184/3087.0.83.185 to 87.0.83.18687.0.83.1872
24087.0.83.188/3087.0.83.189 to 87.0.83.19087.0.83.1912
24187.0.83.192/3087.0.83.193 to 87.0.83.19487.0.83.1952
24287.0.83.196/3087.0.83.197 to 87.0.83.19887.0.83.1992
24387.0.83.200/3087.0.83.201 to 87.0.83.20287.0.83.2032
24487.0.83.204/3087.0.83.205 to 87.0.83.20687.0.83.2072
24587.0.83.208/3087.0.83.209 to 87.0.83.21087.0.83.2112
24687.0.83.212/3087.0.83.213 to 87.0.83.21487.0.83.2152
24787.0.83.216/3087.0.83.217 to 87.0.83.21887.0.83.2192
24887.0.83.220/3087.0.83.221 to 87.0.83.22287.0.83.2232
24987.0.83.224/3087.0.83.225 to 87.0.83.22687.0.83.2272
25087.0.83.228/3087.0.83.229 to 87.0.83.23087.0.83.2312
25187.0.83.232/3087.0.83.233 to 87.0.83.23487.0.83.2352
25287.0.83.236/3087.0.83.237 to 87.0.83.23887.0.83.2392
25387.0.83.240/3087.0.83.241 to 87.0.83.24287.0.83.2432
25487.0.83.244/3087.0.83.245 to 87.0.83.24687.0.83.2472
25587.0.83.248/3087.0.83.249 to 87.0.83.25087.0.83.2512
25687.0.83.252/3087.0.83.253 to 87.0.83.25487.0.83.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses